Please sync xorp 1.6-3 (universe) from debian unstable (main)

Bug #600813 reported by Lorenzo De Liso on 2010-07-01
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xorp (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: xorp

The ubuntu delta can be dropped because that change has been fixed in debian.

changelog since the currently maverick version 1.5-6ubuntu1:

xorp (1.6-3) unstable; urgency=low

  * Fixes "xorp: installation fails" during new install because of missing
    directory /etc/xorp (Closes: #574218).
  * Refresh quilt patch fix_ident_header that is causing a FTBFS (Closes:
    574328).
  * The fix for file policy/common/element.cc was moved to
    fix_invalid_cast, from libtool-rm-invalid-argument-fix.
  * Create debian/README.source explaining how to edit the packages
    sources.
  * Set source package format as 1.0, add a rationale on why to stay 1.0
    for the near future to debian/README.source file.
  * init.d depends on $remote_fs
  * Disable patches debian/patches/libtool-rm-invalid-argument-fix
    debian/patches/libtecla_Makefile, not needed for building.

 -- Jose Calhariz <email address hidden> Mon, 07 Jun 2010 00:58:40 +0100

xorp (1.6-2) unstable; urgency=low

  * Restore missing changelog entries from 1.6-1~rc2
  * Restrict the list of supported architectures to amd64 s390 powerpc i386
    as these are the only ones in which the package currently builds.
    (Closes: #540679)
    Note: This is a temporary fix to the alignment issues found in the code
    which are not yet fixed upstream. Also, a fix from upstream is not
    forthcoming. For more information see
    http://mailman.icsi.berkeley.edu/pipermail/xorp-users/2010-March/003710.html
  [ Jose Calhariz ]
  * Update README.quilt, DONE and TODO

 -- Javier Fernandez-Sanguino Pen~a <email address hidden> Fri, 12 Mar 2010 20:29:13 +0100

xorp (1.6-1) unstable; urgency=low

  * New upstream release
     - Fixes format string vulnerability in the use of XLOG_ERROR
       (Closes: #507291)

  [ Javier Fernandez-Sanguino ]
  * Make /etc/xorp owned by the xorp user so that users running 'xorpsh' and
    reconfiguring the daemon are able to save their configuration
  * Update the address for the FSF in debian/copyright
  * New and fixed patches:
    - debian/patches/config_update: Update config.{sub,guess} from automate-1.9
    (Closes: 541370)
    - Fix the debian/patches/shell_files_clean_fix patch to properly remove
    xrl_fib2mrib_shell_funcs.sh
    - New patch to fix the #ident header that prevents compilation in GCC
      (Closes: 505701)
    - debian/patches/fix_invalid_cast: Fix invalid cast in GCC 4.4 when using
      strrchr.
    - debian/patches/libtool-rm-invalid-argument-fix: Fix error in libtool
      that makes it constantly generate errors due to an undefined value
    - debian/patches/libtecla_Makefile: add a patch to build properly libtecla

 -- Jose Calhariz <email address hidden> Fri, 19 Feb 2010 01:00:23 +0100

xorp (1.6-1~rc2) unstable; urgency=low

  * Use new daemonize capability and start-stop-daemon instead of daemon
    (Closes: #498615).
  * Removed snmpd as Build-Depend and apply patch fix_snmp_support-2
  * Review of copyright and licenses of source files. The results are on
    debian/copyright, debian/TODO.copyright, debian/TODO.license

  [ Javier Fernandez-Sanguino ]
  * Remove the code from debian/rules that copied config.sub/guess from autools
    as this does nothing (config.{sub,guess} used are under config/)
  * Add patch to remove fls files generated by LaTeX under docs/
  * Add patch to remove shell scripts automatically generated by the Makefiles
  * Remove MakefileRootCheck fea/MakefileRootCheck in the clean target of
    debian/rules

 -- Jose Calhariz <email address hidden> Tue, 28 Jul 2009 01:00:58 +0200

xorp (1.6-1~rc0) UNRELEASED; urgency=low

  * New upstream release, (Closes: #507291),
  * Standards Version upgraded to 3.8.2, no changes needed
  * Use quilt to change upstream sources
  * The following changes or patches were needed for v 1.5 are no longer
    needed:
     * libtecla_configure.in_fix_for_sparc: accepted upstream
     * io_link_pcap.cc_cast_from_increases_alignment: accepted upstream
     * xorp_rtrmgr.8_new_options: accepted upstream
     * pim_register_ftbfs_linux_2.6.26: accepted upstream and kernel
    headers fixed
     * xorp_if_mib_xrl_target.cc__fix_bug: accepted upstream

  * Added --with-olsr to configure for documentation proposes.
  * Added snmpd as a Build-Depend and not apply patch fix_snmp_support-2.
    This seams to be harmless for build machines

 -- Jose Calhariz <email address hidden> Mon, 20 Jul 2009 17:58:21 +0200

xorp (1.5-7) UNRELEASED; urgency=low

  * collect the changes made in upstream sources into a series of patches
    managed by quilt:

    - libtecla_configure.in_fix_for_sparc: changed -fpic to -fPIC in
    cli/libtecla/configure.in and run autoconf to solve a FTBFS on sparc
    (Closes: #503169)

    - io_link_pcap.cc_cast_from_increases_alignment: Use patch provided by
    Julien Cristau: Don't cast uint8t* to struct ifreq*. in
    ea/data_plane/io/io_link_pcap.cc (Closes: #502032)

    - xorp_rtrmgr.8_new_options: Update upstream's xorp_rtrmgr manpage
    with the new options (l,P and L)

    - xorpsh.1_fix_typo: Fix typo in xorp.sh manpage

    - pim_register_ftbfs_linux_2.6.26: Fixes FTBFS error when compiling
    with 2.6.26 headers (Closes: #494223) A change to configure,
    config/acipmrt.m4 and to mrt/include/ip_mroute.h that introduces some
    changes to prevent the inclusion of <linux/pim.h> and <linux/in.h> to
    prevent a Build error when compiling with the 2.6.26 kernel
    headers. Notice that the bug is, however, in the kernel headers and
    has to be fixed there. (Closes: #494223)

    - io_ip_socket.cc__fix_ipv6_multicast: Fix IPv6 multicast issue that
    prevents MLD from running in Linux kernels 2.6.26 and above. This is
    introduced because of buggy inet6_opt_init() implementations by
    patching xorp/fea/data_plane/io/io_ip_socket.cc as described in
    http://bugzilla.xorp.org/bugzilla/show_bug.cgi?id=761. Notice that
    this bug is fixed in glibc-2.8, the patch can be dropped when Debian
    ships this version.

    - fix_snmp_support: Fix configure.in so that it calls 'net-snmp-config
    --agent-libs' to setup properly the library dependencies. There are
    other problems with snmp support.

    - xorp_if_mib_xrl_target.cc__fix_bug: Fix bug/typo.

    - main_rtrmgr.cc__remove_info_about_daemon_switch: remove information
    about switch for daemon mode.

 -- Jose Calhariz <email address hidden> Wed, 24 Jun 2009 16:51:08 +0100

ubuntu delta:

xorp (1.5-6ubuntu1) jaunty; urgency=low

  * Fix build failure caused by two instances of "format not a string literal
    and no format arguments"

 -- James Westby <email address hidden> Sat, 29 Nov 2008 17:18:56 +0000

Lorenzo De Liso (blackz) on 2010-07-01
Changed in xorp (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

Did you try to test-build it? It fails for me on i386 maverick:

bin/bash ../libtool --tag=CXX --mode=link i686-linux-gnu-g++ -g -Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Woverloaded-virtual -ftemplate-depth-25 -pipe -Wl,-z,defs -o call_xrl call_xrl.o ./libfinder.la ./libxipc.la ../libcomm/libcomm.la ../libxorp/libxorp.la -lpcap -lcrypto -lrt
i686-linux-gnu-g++ -g -Werror -W -Wall -Wwrite-strings -Wcast-qual -Wpointer-arith -Wcast-align -Woverloaded-virtual -ftemplate-depth-25 -pipe -Wl,-z -Wl,defs -o call_xrl call_xrl.o ./.libs/libfinder.a ./.libs/libxipc.a ../libcomm/.libs/libcomm.a ../libxorp/.libs/libxorp.a -lpcap -lcrypto -lrt
call_xrl.o: In function `call_xrl':
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:125: undefined reference to `XrlRouter::connected() const'
call_xrl.o: In function `main':
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:295: undefined reference to `XrlStdRouter::XrlStdRouter(EventLoop&, char const*, char const*, unsigned short, bool)'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:297: undefined reference to `XrlRouter::finalize()'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:299: undefined reference to `XrlRouter::failed() const'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:299: undefined reference to `XrlRouter::ready() const'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:303: undefined reference to `XrlRouter::failed() const'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:308: undefined reference to `XrlRouter::ready() const'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:323: undefined reference to `XrlStdRouter::~XrlStdRouter()'
/tmp/buildd/xorp-1.6/libxipc/call_xrl.cc:323: undefined reference to `XrlStdRouter::~XrlStdRouter()'
collect2: ld returned 1 exit status
make[3]: *** [call_xrl] Error 1
make[3]: Leaving directory `/tmp/buildd/xorp-1.6/libxipc'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/tmp/buildd/xorp-1.6'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/tmp/buildd/xorp-1.6'
make: *** [build-arch-stamp] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting /var/cache/pbuilder/ccache filesystem
I: unmounting dev/pts filesystem
I: unmounting proc filesystem

Daniel Holbach (dholbach) wrote :

Unsubscribing sponsors for now, please resubscribe when ready.

Stefano Rivera (stefanor) wrote :

Builds for me, but I can't sync it right now.

Changed in xorp (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
status: New → In Progress
Jean-Louis Dupond (dupondje) wrote :

Builds here also (amd64).

Also tumbleweed did a build test (on i386) and it builded

Changed in xorp (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
Launchpad Janitor (janitor) wrote :
Download full text (5.8 KiB)

This bug was fixed in the package xorp - 1.6-3

---------------
xorp (1.6-3) unstable; urgency=low

  * Fixes "xorp: installation fails" during new install because of missing
    directory /etc/xorp (Closes: #574218).
  * Refresh quilt patch fix_ident_header that is causing a FTBFS (Closes:
    574328).
  * The fix for file policy/common/element.cc was moved to
    fix_invalid_cast, from libtool-rm-invalid-argument-fix.
  * Create debian/README.source explaining how to edit the packages
    sources.
  * Set source package format as 1.0, add a rationale on why to stay 1.0
    for the near future to debian/README.source file.
  * init.d depends on $remote_fs
  * Disable patches debian/patches/libtool-rm-invalid-argument-fix
    debian/patches/libtecla_Makefile, not needed for building.

xorp (1.6-2) unstable; urgency=low

  * Restore missing changelog entries from 1.6-1~rc2
  * Restrict the list of supported architectures to amd64 s390 powerpc i386
    as these are the only ones in which the package currently builds.
    (Closes: #540679)
    Note: This is a temporary fix to the alignment issues found in the code
    which are not yet fixed upstream. Also, a fix from upstream is not
    forthcoming. For more information see
    http://mailman.icsi.berkeley.edu/pipermail/xorp-users/2010-March/003710.html
  [ Jose Calhariz ]
  * Update README.quilt, DONE and TODO

xorp (1.6-1) unstable; urgency=low

  * New upstream release
     - Fixes format string vulnerability in the use of XLOG_ERROR
       (Closes: #507291)

  [ Javier Fernandez-Sanguino ]
  * Make /etc/xorp owned by the xorp user so that users running 'xorpsh' and
    reconfiguring the daemon are able to save their configuration
  * Update the address for the FSF in debian/copyright
  * New and fixed patches:
    - debian/patches/config_update: Update config.{sub,guess} from automate-1.9
    (Closes: 541370)
    - Fix the debian/patches/shell_files_clean_fix patch to properly remove
    xrl_fib2mrib_shell_funcs.sh
    - New patch to fix the #ident header that prevents compilation in GCC
      (Closes: 505701)
    - debian/patches/fix_invalid_cast: Fix invalid cast in GCC 4.4 when using
      strrchr.
    - debian/patches/libtool-rm-invalid-argument-fix: Fix error in libtool
      that makes it constantly generate errors due to an undefined value
    - debian/patches/libtecla_Makefile: add a patch to build properly libtecla

xorp (1.6-1~rc2) unstable; urgency=low

  * Use new daemonize capability and start-stop-daemon instead of daemon
    (Closes: #498615).
  * Removed snmpd as Build-Depend and apply patch fix_snmp_support-2
  * Review of copyright and licenses of source files. The results are on
    debian/copyright, debian/TODO.copyright, debian/TODO.license

  [ Javier Fernandez-Sanguino ]
  * Remove the code from debian/rules that copied config.sub/guess from autools
    as this does nothing (config.{sub,guess} used are under config/)
  * Add patch to remove fls files generated by LaTeX under docs/
  * Add patch to remove shell scripts automatically generated by the Makefiles
  * Remove MakefileRootCheck fea/MakefileRootCheck in the clean target of
    debian/rules

xorp (1.6-1~rc0) U...

Read more...

Changed in xorp (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.